Name:           perl-Text-Reflow
Version:        1.10
Release:        1%{?dist}
Summary:        Perl module for reflowing text files using Knuth's paragraphing algorithm
License:        GPLv3+ and (GPL+ or Artistic)
URL:            http://search.cpan.org/dist/Text-Reflow/
Source0:        http://www.cpan.org/authors/id/M/MW/MWARD/Text-Reflow-%{version}.tar.gz
# Build
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
# Runtime
BuildRequires:  perl(Carp)
BuildRequires:  perl(DynaLoader)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(integer)
BuildRequires:  perl(strict)
BuildRequires:  perl(vars)
BuildRequires:  perl(warnings)
# Tests only
BuildRequires:  perl(Test::Simple)
Requires:       perl(:MODULE_COMPAT_%(eval "$(perl -V:version)"; echo $version))

%description
These routines will reflow the paragraphs in the given file, filehandle,
string or array using Knuth's paragraphing algorithm (as used in TeX) to
pick "good" places to break the lines.

%package -n reflow
Summary:        A utility for reflowing text files using Knuth's paragraphing algorithm
License:        GPLv2+
BuildArch:      noarch

%description -n reflow
%{summary}.

%prep
%setup -q -n Text-Reflow-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}" NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name '*.bs' -empty -exec rm -f {} +
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Text
%{_mandir}/man3/*

%files -n reflow
%{_bindir}/reflow

%changelog
* Fri Jul 17 2015 Petr Šabata <contyk@redhat.com> - 1.10-1
- 1.10 bump
- Drop the patch, incorporated upstream (rt#105774)
- Don't package the modules files twice

* Thu Jul 09 2015 Petr Šabata <contyk@redhat.com> 1.09-1
- Initial packaging
